Bug 142645 - FILEOPEN PPTX Title slides text not converted to slide name
Summary: FILEOPEN PPTX Title slides text not converted to slide name
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.3.0 target:7.2.2
Keywords: filter:pptx
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2021-06-04 09:54 UTC by NISZ LibreOffice Team
Modified: 2021-09-08 11:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from PowerPoint (50.25 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2021-06-04 09:54 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in PowerPoint and Impress (170.97 KB, image/png)
2021-06-04 09:54 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-06-04 09:54:17 UTC
Created attachment 172608 [details]
Example file from PowerPoint

This is a followup to bug #57181 
Attached file is minimized from the example Attachment 61765 [details] 
Normally the text contents of the Title placeholders is extracted to slide name, as seen on the second slide here and the Navigator.
The Title layout on the first slide contains a special title placeholder item whose text is not extracted for use as slide name.

Steps to reproduce:
    1. Open attached file

Actual results:
In the Navigator the first slides title is Slide 1, the second slides title is “Normal Title”

Expected results:
The first slides title should be “Regulation of Cell Volume” in the Navigator.

LibreOffice details:
Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 3b57ebb445df8a2bc3d916ea79f8af45e20e4e62
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-06-04 09:54:43 UTC
Created attachment 172609 [details]
Screenshot of the original document side by side in PowerPoint and Impress
Comment 2 Timur 2021-06-07 10:01:07 UTC
Repro 7.2+ for PPTX. Inherited. I set as Minor. OK for PPT.
Comment 3 Commit Notification 2021-08-31 12:58:17 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e5cfda76aefd6996813f461198816be24cd6ad43

tdf#142645 PPTX import: convert "ctrTitle" text to slide name

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-08-31 15:54:23 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/9919b1c017dca81f5bf54aa27f0fda615c1bd2da

tdf#142645 PPTX import: convert "ctrTitle" text to slide name

It will be available in 7.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2021-09-08 11:34:17 UTC
Verified in:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 8151f3a1d99ab740d2affdccc7115faa156bf3ad
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded